#include "file.hpp"

file_t file_t::temporary(const std::string & basename) {
	std::string filename(basename + "XXXXXX");
	return file_t(mkstemp(&filename[0]), filename);
}

void file_t::rename(
	const std::string & from,
	const std::string & to
) {
	if (::rename(from.data(), to.data()) != 0) { throw_system_error(); }
}
