#include "microtime.hpp"
#include <cinttypes>

const microtime_t microtime_t::invalid(0);

std::string microtime_t::to_string() const {
	const size_t needed = snprintf(nullptr, 0, "%" PRIu64, m_value);
	std::string output(needed, 0);
	snprintf(&output[0], needed + 1, "%" PRIu64, m_value);
	return output;
}
