#ifndef __UTIL_HPP__
#define __UTIL_HPP__

#include <cstddef>
#include <cstdint>
#include <string>
#include "config.h"

uint32_t strntoul(
	const void * input,
	const size_t length);

uint64_t strntoull(
	const void * input,
	const size_t length);

inline uint32_t strntoul(
	const void * input,
	const size_t length
) {
	return strntoull(input, length);
}

std::string file_serial_number();

std::string dongle_serial_number();

std::string mac_address();

void throw_system_error() __attribute__ ((noreturn));

#endif
